---
title: Color Alternating Rows
page_title: Color Alternating Rows | Kendo UI Grid HtmlHelper
description: "Customize the Excel document the Grid generates during exporting and color alternating rows in ASP.NET MVC applications."
slug: howto_alternatingrows_aspnetmvcgrid
---

# Color Alternating Rows

The demo on how to color the alternating rows of an exported Grid to Excel uses the [`background`](http://docs.telerik.com/kendo-ui/api/javascript/ooxml/workbook#configuration-sheets.rows.cells.background) option of the cell to set the background color of the alternating rows.

To see the example, refer to the project on [coloring alternating rows](https://github.com/telerik/ui-for-aspnet-mvc-examples/tree/master/grid/alternating-rows).

> **Important**
>
> These projects require a UI for ASP.NET MVC 2014.3.1125 version or later. Earlier versions do not expose the `ExcelExport` event through the fluent API.

For more information on how Excel documents work, refer to the [introductory article on Excel](http://docs.telerik.com/kendo-ui/framework/excel/introduction).

## See Also

* [Overview of the Grid HtmlHelper]({% slug overview_gridhelper_aspnetmvc %})
* [GridBuilder API Reference](../../../kendo-ui/api/Kendo.Mvc.UI.Fluent/GridBuilder)

For more runnable examples on the Kendo UI Grid in ASP.NET MVC applications, browse its [**How To** documentation folder](/helpers/grid/how-to/Appearance/).
