---
title: Configuring Projects
page_title: Configuring Projects | UI for ASP.NET MVC Visual Studio Integration
description: "Learn how to configure a Progress&reg; Telerik&reg; UI for ASP.NET MVC application."
slug: projectwizardconfig_visualstudio_aspnetmvc
position: 6
---

# Configuring Projects

This article demonstrates how to configure a Progress&reg; Telerik&reg; UI for ASP.NET MVC application.

## Getting Started

### The Basics

The **Project Configuration Wizard** configures the visual theme and project settings of existing Progress&reg; Telerik&reg; UI for ASP.NET MVC applications.

To open the **Project Configuration Wizard**, click **Telerik** > **UI for ASP.NET MVC** > **Configure Project**.

### Visual Themes

The first page of the **Project Configuration Wizard** enables you to change the visual theme of your Telerik UI for ASP.NET MVC application.

**Figure 1. Visual theme configuration page of the Project Configuration Wizard**

![Configure project theme](/vs-integration/images/configure_theme.png)

Click **Next** to move on to the next page.

###  Project Settings

The second page of the **Project Configuration Wizard** enables you to modify the project settings by configuring the following options:

- **Render Right-To-Left**&mdash;Updates the master page with the Right-to-left support class and adds CSS reference for RTL styles.
- **Copy Global Resources**&mdash;Copies the localization files to `~/Scripts/kendo/{version}/cultures`.
- **Use CDN Support**&mdash;Enables or disables the [Kendo UI CDN support](../../../kendo-ui/intro/installation/cdn-service).

**Figure 2. Project settings configuration page of the Project Configuration Wizard**

![Configure project settings](/vs-integration/images/configure_settings.png)

## See Also

* [Visual Studio Integration Overview]({% slug overview_visualstudio_aspnetmvc %})
* [Create Projects]({% slug newprojectwizards_visualstudio_aspnetmvc %})
* [Upgrade Projects]({% slug projectwizardupgrade_visualstudio_aspnetmvc %})
* [Convert Projects]({% slug projectwizardcoversion_visualstudio_aspnetmvc %})
* [Visual Studio Extensions Options]({% slug vsextensionsoptions_visualstudio_aspnetmvc %})
* [Download New Versions]({% slug latestversionretrieval_visualstudio_aspnetmvc %})
