---
title: Overview
page_title: Overview | UI for ASP.NET MVC Visual Studio Integration
description: "Learn how to enhance experience of developing web applications with Progress &reg; Telerik&reg; UI for ASP.NET MVC."
slug: overview_visualstudio_aspnetmvc
position: 1
---

# Visual Studio Integration Overview

The Telerik UI for ASP.NET MVC Visual Studio Extensions enhance the experience of developing web applications with Telerik UI for ASP.NET MVC.

The extensions handle the following major points:

* Project [Creation]({% slug newprojectwizards_visualstudio_aspnetmvc %}) and [Configuration]({% slug projectwizardconfig_visualstudio_aspnetmvc %}) Wizards&mdash;Web asset management, adding the required settings to `web.config`, changing the theme.
* Project [Upgrade]({% slug projectwizardupgrade_visualstudio_aspnetmvc %})&mdash;Upgrading Telerik UI for ASP.NET MVC to a new version.

The Progress&reg; Telerik&reg; UI for ASP.NET MVC Visual Studio Extensions are distributed with the Progress&reg; Telerik&reg; UI for ASP.NET MVC installer. They support Visual Studio 2010, 2012, 2013, 2015, and 2017, which handle ASP.NET MVC 4 and 5 applications.

> **Important**
>
> Visual Studio Express editions are not supported.

The Visual Studio Extensions can be accessed through the **Telerik | UI for ASP.NET MVC** menu which has different menu items depending on the selected project in Visual Studio. Additionally, the extensions can be accessed through the Solution Explorer context menu of any supported ASP.NET MVC Web Application projects.

**Figure 1. Visual Studio without Selected Projects**

![Create Menu](/vs-integration/images/create_menu.png)

**Figure 2. The selected project in Visual Studio is a standard ASP.NET MVC 4 or 5 web application**

![Convert Menu](/vs-integration/images/convert_menu.png)

**Figure 3. The selected project in Visual Studio is Telerik UI for ASP.NET MVC web application**

![Configure Menu](/vs-integration/images/configure_menu.png)

When installed, the extensions add the project templates to the New Project dialog of Visual Studio and as shown in **Figure 4**.

* C# Telerik UI for ASP.NET MVC web application
* VB Telerik UI for ASP.NET MVC web application

**Figure 4. The added project templates**

![Project templates](/vs-integration/images/project_template.png)

These are available in the language-specific nodes of the dialog as well. The **Add New Project** dialog contains the Telerik UI for ASP.NET MVC web application under both the `CSharp\Web` and `Visual Basic\Web` nodes.

There are also two additional project templates

* [C# Telerik ASP.NET Core MVC application](http://docs.telerik.com/aspnet-core/introduction)
* [Kendo UI ASP.NET MVC 5 application]({% slug newprojectwizard_visualstudio_kendoui %})

The new ASP.NET MVC 4 project wizard also contains the Telerik UI for ASP.NET MVC web application.

**Figure 5. The MVC wizard**

![Mvc Wizard](/vs-integration/images/mvc_wizard.png)

## See Also

* [Create Projects]({% slug newprojectwizards_visualstudio_aspnetmvc %})
* [Configure Projects]({% slug projectwizardconfig_visualstudio_aspnetmvc %})
* [Upgrade Projects]({% slug projectwizardupgrade_visualstudio_aspnetmvc %})
* [Convert Projects]({% slug projectwizardcoversion_visualstudio_aspnetmvc %})
* [Visual Studio Extensions Options]({% slug vsextensionsoptions_visualstudio_aspnetmvc %})
* [Download New Versions]({% slug latestversionretrieval_visualstudio_aspnetmvc %})
