---
title: NuGet Packages
page_title: NuGet Packages | Kendo UI Getting Started
description: "Install the Kendo UI Professional or Kendo UI Core NuGet packages."
slug: kendoui_nuget_packages
position: 4
---

# NuGet Packages

[NuGet](https://www.nuget.org) is a popular open-source .NET package manager.

## Overview

Telerik maintains a number of NuGet packages related to Kendo UI. All official releases, service packs, and internal builds are available for registered users only.

## Telerik Private NuGet Feed

### Installation

To install Telerik NuGet packages, refer to the article on [getting started with the Telerik UI for ASP.NET MVC](http://docs.telerik.com/aspnet-mvc/getting-started/nuget-install).

### Local Content Distribution

After installing the packages, the content scripts and stylesheets are copied to your application as follows:
* `/Scripts/kendo/<version>/`&mdash;Contains the minified JavaScript files.
* `/Content/kendo/<version>/`&mdash;Contains the minified CSS files and theme images.

### Provided Packages

The NuGet Feed provides the following packages related to the UI for ASP.NET MVC:
* `KendoUIProfessional`&mdash;Kendo UI for ASP.NET MVC 5 Commercial.
* `KendoUIProfessional.Trial`&mdash;Kendo UI Trial.
* `KendoUICore`&mdash;Kendo UI Core.

    > **Important**
    >
    > The packages for [Telerik UI for ASP.NET MVC](http://docs.telerik.com/aspnet-mvc/getting-started/nuget-install) are listed in a separate section.

## See Also

Other articles on getting started with Kendo UI:

* [Get Started with Kendo UI]({% slug getting_started_installation_kendoui %})
* [Kendo UI CDN Services]({% slug kendoui_cdn_services_installation %})
* [Include Only What You Need]({% slug include_only_what_you_need_kendoui_installation %})
* [JavaScript Prerequisites]({% slug javascript_prerequisites_kendoui_installation %})
* [Initialize Widgets Using jQuery Plug-Ins]({% slug initialize_widgets_using_jquery_plugins_installation %})
* [Initialize Widgets Using Markup]({% slug initialize_widgets_using_markup_installation %})
* [Access Widget DOM Elements: wrapper and element]({% slug widgetwrapperandelement_references_gettingstarted %})
* [Set Data Attributes]({% slug dataattributes_configuration_installation %})
* [Widget Methods and Events]({% slug widget_methodsand_events_kendoui_installation %})
* [Destroy Widgets]({% slug destroywidgets_kendoui_gettingstarted %})
* [Edit Widgets]({% slug kendoui_editing_gettingstarted %})
* [Create Custom Widgets]({% slug createcustomkendouiwidgets_gettingstarted %})
* [Bower Packages]({% slug kendoui_bower_packages_kendoui_installation %})
