---
title: 2016 Documentation Updates
page_title: 2016 Documentation Updates | Updates and Contribution
description: "The latest updates in the documentation shipped with Kendo UI and released in 2016."
slug: documentation_updates_2016_kendoui
position: 2
---

# 2016 Documentation Updates

## November

The UI for ASP.NET MVC documentation is now split into UI for ASP.NET MVC and UI for ASP.NET Core. The domains diverged from the existing Kendo UI documentation and are hosted on the following individual websites:

* [UI for ASP.NET MVC](http://docs.telerik.com/aspnet-mvc/introduction)
* [UI for ASP.NET Core](http://docs.telerik.com/aspnet-core/introduction)

## August

### Existing

To improve the content of some existing articles, part of the conceptual documentation on the Grid is now restructured and most of its how-to examples grouped in folders according to the scenarios they handle.

**Conceptual Documentation**

The conceptual documentation on the Grid has gone through a revision. The information related to one and the same feature is now located in one and the same file.

The files that are now changed with regard to their internal structure are:

* **Overview**&mdash;The article now handles the topics on initializing the Grid and referencing its existing instance.
* **Walkthrough**&mdash;The article now elaborates on the major features of the Grid, which are data binding, selection, paging, grouping, sorting, keyboard navigation, and templates.
* **Appearance**&mdash;The article now provides a collection of sections on scrolling and virtual scrolling, configuration of the height and width, rows and columns, as well as initialization of the widget in hidden containers such as the PanelBar, TabStrip, and Window.

**How-To Examples**

<table style="width:100%">
  <col width="40%">
  <col width="30%">
  <col width="30%">
    <tr>
      <th>Article</th>
      <th>Previous Location</th>
      <th>New Location</th>
    </tr>
    <tr>
      <td>Perform CRUD Operations with Local Storage Data</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/Editing</strong></td>
    </tr>
    <tr>
      <td>Show Progress for Grid CRUD Operations</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/Editing</strong></td>
    </tr>
    <tr>
      <td>Set Cell Color Based on ForeignKey Values</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/Appearance</strong></td>
    </tr>
    <tr>
      <td>Show Tooltip for Column Records</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/Appearance</strong></td>
    </tr>
    <tr>
      <td>Customize Rows and Cells Based on Data Item Values</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/Appearance</strong></td>
    </tr>
    <tr>
      <td>Load and Append More Records While Scrolling Down</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/Binding</strong></td>
    </tr>
    <tr>
      <td>Use Nested Model Properties</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/Binding</strong></td>
    </tr>
    <tr>
      <td>Use WebAPI with Server-Side Operations</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/Binding</strong></td>
    </tr>
    <tr>
      <td>Persist Expanded Rows after Refresh</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/State Management</strong></td>
    </tr>
    <tr>
      <td>Persist Collapsed State of Grouped Records</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/State Management</strong></td>
    </tr>
    <tr>
      <td>Preserve Grid State in a Cookie</td>
      <td><strong>../Grid/How To</strong></td>
      <td><strong>../Grid/How To/State Management</strong></td>
    </tr>
</table>

## May

Below are listed the Kendo UI R2 2016 release changes in the documentation as compared to the Kendo UI Q1 2016 SP1 ones.

### New

The **Copyright** notice is now added.

### Existing

**Articles**

<table style="width:100%">
    <col width="20%">
    <col width="20%">
    <col width="30%">
    <col width="30%">
    <tr>
      <th>Article</th>
      <th>New Name</th>
      <th>Previous Location</th>
      <th>New Location</th>
    </tr>
    <tr>
      <td>Help Improve Kendo UI Documentation</td>
      <td>Contribute to Documentation</td>
      <td><strong>Help Improve Kendo UI Documentation</strong></td>
      <td><strong>Updates and Contribution/Contribute to Kendo UI Documentation</strong></td>
    </tr>
    <tr>
      <td>ASP.NET MVC 3</td>
      <td>Use with ASP.NET MVC 3</td>
      <td><strong>UI for ASP.NET MVC/ASP.NET MVC Apps</strong></td>
      <td><strong>UI for ASP.NET MVC</strong></td>
    </tr>
    <tr>
      <td>ASP.NET MVC 4</td>
      <td>Use with ASP.NET MVC 4</td>
      <td><strong>UI for ASP.NET MVC/ASP.NET MVC Apps</strong></td>
      <td><strong>UI for ASP.NET MVC</strong></td>
    </tr>
      <td>ASP.NET MVC 5</td>
      <td>Use with ASP.NET MVC 5</td>
      <td><strong>UI for ASP.NET MVC/ASP.NET MVC Apps</strong></td>
      <td><strong>UI for ASP.NET MVC</strong></td>
    </tr>
</table>

**Folders**

<table style="width:100%">
    <col width="20%">
    <col width="20%">
    <col width="30%">
    <col width="30%">
    <tr>
      <th>Folders</th>
      <th>New Name</th>
      <th>Previous Location</th>
      <th>New Location</th>
    </tr>
    <tr>
      <td>Documentation Updates</td>
      <td>Updates and Contribution</td>
      <td><strong>Documentation Updates</strong></td>
      <td><strong>Updates and Contribution</strong></td>
    </tr>
    <tr>
      <td>HtmlHelpers</td>
      <td>Components</td>
      <td><strong>UI for ASP.NET MVC</strong></td>
      <td><strong>UI for ASP.NET MVC</strong></td>
    </tr>
    <tr>
      <td>ASP.NET Core MVC</td>
      <td>Use with ASP.NET Core MVC</td>
      <td><strong>UI for ASP.NET MVC/ASP.NET MVC Apps</strong></td>
      <td><strong>UI for ASP.NET MVC</strong></td>
    </tr>
    <tr>
      <td>Tips and Tricks</td>
      <td>Performance Issues</td>
      <td><strong>Styles and Appearance</strong></td>
      <td><strong>../Charts/Troubleshooting</strong></td>
    </tr>
</table>

## March

### New

The following articles have been added:

* A new troubleshooting article on Scaffolding when using the Kendo UI Scaffolder Visual Studio Extension is now available. For more information, go to [**UI for ASP.NET MVC** > **Troubleshooting** > **Scaffolding**](http://docs.telerik.com/aspnet-mvc/troubleshoot/troubleshooting-scaffolding).
* A new troubleshooting article on Validation is now available. For more information, go to [**UI for ASP.NET MVC** > **Troubleshooting** > **Validation**](http://docs.telerik.com/aspnet-mvc/troubleshoot/troubleshooting-validation).
* The **Globalization and Localization** article on Telerik UI for ASP.NET MVC is now split to list the two topics separately for a better navigation. The current location of them both is [**UI for ASP.NET MVC** > **Globalization**](http://docs.telerik.com/aspnet-mvc/getting-started/globalization) and [**UI for ASP.NET MVC** > **Localization**](http://docs.telerik.com/aspnet-mvc/getting-started/localization) respectively.

### Existing

Below are listed the Kendo UI Q1 2016 SP1 (2016.1.226) release changes in the documentation as compared to the Kendo UI Q1 2016 ones.

<table style="width:100%">
  <col width="20%">
  <col width="20%">
  <col width="30%">
  <col width="30%">
    <tr>
      <th>Article</th>
      <th>New Name</th>
      <th>Previous Location</th>
      <th>New Location</th>
    </tr>
    <tr>
      <td>Widget wrapper and widget element</td>
      <td>Widget DOM Elements</td>
      <td><strong>Framework and Utilities/Widgets</strong></td>
      <td><strong>Getting Started/Widget Basics</strong></td>
    </tr>
    <tr>
      <td>Destroy Kendo UI Widgets</td>
      <td>Destroy Widgets</td>
      <td><strong>Framework and Utilities/Widgets</strong></td>
      <td><strong>Getting Started/Widget Basics</strong></td>
    </tr>
    <tr>
      <td>Create Your Own Kendo UI Widget by Inheriting from the Base Widget Class</td>
      <td>Create Custom Widgets</td>
      <td><strong>Framework and Utilities/Widgets</strong></td>
      <td><strong>Getting Started/Widget Basics</strong></td>
    </tr>
    <tr>
      <td>Data Attribute Initialization</td>
      <td>Data Attributes</td>
      <td><strong>Framework and Utilities</strong></td>
      <td><strong>Getting Started/Widget Basics</strong></td>
    </tr>
    <tr>
      <td>Class-based Inheritance with Kendo UI</td>
      <td>Class Overview</td>
      <td><strong>Framework and Utilities</strong></td>
      <td><strong>Framework and Utilities/Class</strong></td>
    </tr>
    <tr>
      <td>Methods and Events</td>
      <td>Methods and Events</td>
      <td><strong>Getting Started/Widgets</strong></td>
      <td><strong>Getting Started/Widget Basics</strong></td>
    </tr>
    <tr>
      <td>Troubleshooting</td>
      <td>Common Issues</td>
      <td><strong>UI for ASP.NET MVC</strong></td>
      <td><strong>UI for ASP.NET MVC/Troubleshooting</strong></td>
    </tr>
    <tr>
      <td>Tutorial: Build the Kendo Music Store</td>
      <td>Build the Kendo UI Music Store</td>
      <td><strong>UI for ASP.NET MVC</strong></td>
      <td><strong>UI for ASP.NET MVC/Tutorials</strong></td>
    </tr>
    <tr>
      <td>Tutorial: Build the Sales Hub Project</td>
      <td>Build the Sales Hub Project</td>
      <td><strong>UI for ASP.NET MVC</strong></td>
      <td><strong>UI for ASP.NET MVC/Tutorials</strong></td>
    </tr>
</table>

## January

### Existing

Below are listed the Kendo UI Q1 2016 release changes in documentation as compared to the Kendo UI Q3 2015 ones.

* The conceptual topic documentation on Kendo UI widgets is reorganized to correspond to the structure of the [Kendo UI live demo page](http://demos.telerik.com/kendo-ui/). The articles on Kendo UI controls are now listed in the **Widgets** folder. For example, [**Widgets** > **Data Management** > **Grid** > **Overview**]({% slug overview_kendoui_grid_widget %}).
* The new **Styles and Appearance** folder contains the combined articles on the layout and general appearance of the Kendo UI widgets that were previously referred to as Web and DataViz, such as the [**Responsive Web Design**]({% slug responsivewebdesign_integration_kendoui %}) and **ThemeBuilder Overview** help topics.
* The recently added **Third-Party Frameworks and Utilities** folder accommodates the articles on Kendo UI integration with third-party frameworks, such as the [**TypeScript**]({% slug typescript_integration_kendoui %}) and [**RequireJS**]({% slug requirejs_integration_kendoui %}) help topics.
* The newly created **Troubleshooting** folder holds all existing general Kendo UI issues, which are now split into topics, so that a particular issue can be much more easily located. This approach resulted in articles such as [**Performance Issues**]({% slug troubleshooting_system_memory_symptoms_kendoui %}) and [**Content Security Policy**]({% slug troubleshooting_content_security_policy_kendoui %}).
* The new **Backwards Compatibility** folder contains all Kendo UI breaking changes now divided depending on the year of their release.
* The headings in nearly half of the existing help topics are now shortened and improved with a focus on building a much clearer and easy-to-access internal structure as well as suiting the new web design of the Documentation hub. The work on building a consistent style of inter-linking related topics via the newly-added **See Also** section is going on, too.

## See Also

* [2017 Documentation Updates]({% slug documentation_updates_2017_kendoui %})
